windows安装composer,运行 Composer 需要 PHP 5.3.2+ 以上版本

  • 下载(https://getcomposer.org/Composer-Setup.exe)
  • 安装需要选择php.exe路径,比如phpstudy里面包含很多php,所以可以选择一个合适php版本
  • 安装完成后,需要打开cmd命令,输入composer可以查看安装的信息
  • 更改为国内镜像
    composer config -g repo.packagist composer https://packagist.phpcomposer.com
  • 使用,在cmd下,用cd命令进入到项目目录,执行composer.json文件,命令是
composer install

如果有composer.lock文件需要删除,这样就能执行了

标签: none

评论已关闭